package com.xisc.pm.infra.repository.impl;

import com.xisc.pm.domain.entity.PmPlateSpecBtTra;
import com.xisc.pm.domain.repository.PmPlateSpecBtTraRepository;
import com.xisc.pm.infra.mapper.PmPlateSpecBtTraMapper;
import org.apache.commons.collections.CollectionUtils;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 钢板轧制规格基准表履历表(PmPlateSpecBtTra)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-09-06 08:37:18
 */
@Component
public class PmPlateSpecBtTraRepositoryImpl extends BaseRepositoryImpl<PmPlateSpecBtTra> implements PmPlateSpecBtTraRepository {
    @Resource
    private PmPlateSpecBtTraMapper pmPlateSpecBtTraMapper;

    @Override
    public List<PmPlateSpecBtTra> selectList(PmPlateSpecBtTra pmPlateSpecBtTra) {
        return pmPlateSpecBtTraMapper.selectList(pmPlateSpecBtTra);
    }

    @Override
    public PmPlateSpecBtTra selectByPrimary(Long traId) {
        PmPlateSpecBtTra pmPlateSpecBtTra = new PmPlateSpecBtTra();
        pmPlateSpecBtTra.setTraId(traId);
        List<PmPlateSpecBtTra> pmPlateSpecBtTras = pmPlateSpecBtTraMapper.selectList(pmPlateSpecBtTra);
        if (CollectionUtils.isEmpty(pmPlateSpecBtTras)) {
            return null;
        }
        return pmPlateSpecBtTras.get(0);
    }

}
